/*
 *  Copyright 2002-2005, Mersad Team, Allameh Helli High School (NODET).
 *
 *  This program is free software, you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Library General Public License for more details.
 *
 *  This file is created by: Darioush Jalali
 *
 *  Released on Monday 1 August 2005, 10 Mordad 1384 by Mersad RoboCup Team.
 *  For more information please read README file.
*/

#include "Trainer.h"
#include <iostream>
#include "Logger.h"

using namespace std;

Trainer::Trainer(const CoachWorldModel * worldModel, const CoachWorldModelHistory * worldModelHistory,
			 Connection* connection) :
			worldModel(worldModel), worldModelHistory(worldModelHistory),
			connection (connection)
{
	LOG << "TRAINER::@constructor" << endl;
};
	
Trainer::~Trainer() {};


void Trainer::setWorldModel(CoachWorldModel * worldModel) {
	this->worldModel = worldModel;
};

void Trainer::setWorldModelHistory(CoachWorldModelHistory * worldModelHistory) {
	this->worldModelHistory = worldModelHistory;
};

