/*
 *  Copyright 2002-2005, Mersad Team, Allameh Helli High School (NODET).
 *
 *  This program is free software, you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Library General Public License for more details.
 *
 *  This file is created by: Mohammad Salehe
 *  and is modified by: Meisam Vosoughpour
 *
 *  Released on Monday 1 August 2005, 10 Mordad 1384 by Mersad RoboCup Team.
 *  For more information please read README file.
*/

#ifndef __CLEAR_H
#define __CLEAR_H


#include "AdvancedAction.h"


class Clear: public AdvancedAction
{
protected:
	unsigned twoKickableInterceptNum;
	Command *clearCommand;

public:
	Clear(const WorldModel *worldModel);

	virtual void execute(Form &form, const Library &library);
	virtual float getValue(const Library &library);
};


#endif //  __CLEAR_H

