/*
 *  Copyright 2002-2005, Mersad Team, Allameh Helli High School (NODET).
 *
 *  This program is free software, you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Library General Public License for more details.
 *
 *  This file is created by: Darioush Jalali
 *
 *  Released on Monday 1 August 2005, 10 Mordad 1384 by Mersad RoboCup Team.
 *  For more information please read README file.
*/

#ifndef __SAMPLE_SCENARIO_H_
#define __SAMPLE_SCENARIO_H_

#include "Scenario.h"

class SampleScenario : public Scenario {

 protected:
 	virtual bool startCondition();
	virtual bool endCondition() ;
	virtual void setUp()  ;
	virtual void monitor() ;
	virtual void conclude();
	virtual void cleanUp();
 public:
 	SampleScenario(const CoachWorldModel * worldModel, const CoachWorldModelHistory * worldModelHistory,
            Connection* connection);
	virtual ~SampleScenario();
};


#endif

